import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询发展表列表
export function listCmsDevelopment(query) {
  return request({
    url: '/cmsdevelopment/queryCmsDevelopmentByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询发展表详细信息
export function getCmsDevelopment(businessId) {
  return request({
    url: '/cmsdevelopment/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增发展表
export function addCmsDevelopment(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmsdevelopment/add',
    method: 'post',
    data: data
  })
}

// 4. 修改发展表
export function updateCmsDevelopment(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmsdevelopment/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除发展表
export function delCmsDevelopment(businessId) {
  return request({
    url: '/cmsdevelopment/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出发展表
export function exportCmsDevelopment(query) {
  return request({
    url: '/cmsdevelopment/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
