import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询项目案例列表
export function listCmsProject(query) {
  return request({
    url: '/cmsproject/queryCmsProjectByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询项目案例详细信息
export function getCmsProject(businessId) {
  return request({
    url: '/cmsproject/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增项目案例
export function addCmsProject(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmsproject/add',
    method: 'post',
    data: data
  })
}

// 4. 修改项目案例
export function updateCmsProject(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmsproject/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除项目案例
export function delCmsProject(businessId) {
  return request({
    url: '/cmsproject/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出项目案例
export function exportCmsProject(query) {
  return request({
    url: '/cmsproject/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 修改状态
export function updateProjectStatus(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmsproject/updateStatus/' + businessId,
    method: 'put',
    data: data
  })
}
