import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询新闻资讯列表
export function listSysContentNewsInformation(query) {
  return request({
    url: '/cmsnews/list',
    method: 'get',
    params: query
  })
}

// 2. 查询新闻资讯详细信息
export function getSysContentNewsInformation(businessId) {
  return request({
    url: '/cmsnews/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增新闻资讯
export function addSysContentNewsInformation(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmsnews/add',
    method: 'post',
    data: data
  })
}

// 4. 修改新闻资讯
export function updateSysContentNewsInformation(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmsnews/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除新闻资讯
export function delSysContentNewsInformation(businessId, unitId) {
  return request({
    url: '/cmsnews/deleteLogical/' + businessId + '/' + unitId,
    method: 'delete'
  })
}

// 6. 导出新闻资讯
export function exportSysContentNewsInformation(query) {
  return request({
    url: '/cmsnews/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 7. 修改新闻资讯状态
export function updateStatus(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmsnews/updateStatus/' + businessId,
    method: 'put',
    data: data
  })
}
// 7. 修改新闻资讯状态
export function shareShop(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmsunitnewvideo/addOrUpdate',
    method: 'post',
    data: data
  })
}

export function crawler() {
  return request({
    url: '/crawler/start',
    method: 'get'
  })
}
export function queryCrawlerStatus(params) {
  return request({
    url: '/cmstask/detail/' + params.id,
    method: 'get'
  })
}

// 公众号爬虫
export function getCrawlerPicture() {
  return request({
    responseType: 'blob',
    url: '/crawler/image',
    method: 'get'
  })
}

export function scanCrawlerPicture(publicAccountName) {
  return request({
    url: '/crawler/scan/' + publicAccountName,
    method: 'get'
  })
}

