import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询新闻资讯列表
export function listSysContentNewsInformation(query) {
  return request({
    url: '/cmsvideo/list',
    method: 'get',
    params: query
  })
}

// 2. 查询新闻资讯详细信息
export function getSysContentNewsInformation(businessId) {
  return request({
    url: '/cmsvideo/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增新闻资讯
export function addSysContentNewsInformation(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmsvideo/add',
    method: 'post',
    data: data
  })
}

// 4. 修改新闻资讯
export function updateSysContentNewsInformation(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmsvideo/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除新闻资讯
export function delSysContentNewsInformation(businessId) {
  return request({
    url: '/cmsvideo/delete/' + businessId,
    method: 'delete'
  })
}

// 6. 导出新闻资讯
export function exportSysContentNewsInformation(query) {
  return request({
    url: '/cmsvideo/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 7. 修改新闻资讯状态
export function updateStatus(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmsvideo/updateStatus/' + businessId,
    method: 'put',
    data: data
  })
}
export function cmspriceclickUpdate(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmspriceclick/update',
    method: 'put',
    data: data
  })
}
// 7. 修改新闻资讯状态
export function shareShop(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmsunitnewvideo/addOrUpdate',
    method: 'post',
    data: data
  })
}
// 课程管理-章节查询视频
export function getVideoUrl(params) {
  return request({
    url: '/cmsvideo/getVideoUrl',
    method: 'get',
    params,
    headers: {}
  })
}
// 课程管理-章节查询视频
export function cmspriceclickList(params) {
  return request({
    url: '/cmspriceclick/list',
    method: 'get',
    params,
    headers: {}
  })
}
export function cmspriceclickExport(params) {
  return request({
    url: '/cmspriceclick/export',
    method: 'get',
    responseType: 'blob',
    params
  })
}
