import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询列表
export function listCmsContest(query) {
  return request({
    url: '/cmscontest/queryCmsContestByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询详细信息
export function getCmsContest(businessId) {
  return request({
    url: '/cmscontest/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增
export function addCmsContest(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmscontest/add',
    method: 'post',
    data: data
  })
}

// 4. 修改
export function updateCmsContest(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmscontest/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除
export function delCmsContest(businessId) {
  return request({
    url: '/cmscontest/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出
export function exportCmsContest(query) {
  return request({
    url: '/cmscontest/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 7.上传接口
export function uploadPublic(data) {
  return request({
    url: 'common/fileUpload',
    method: 'post',
    data
  })
}
